Subject: Chinese WorldScript 7.1 compatible software

From: Roger Hart <[email-masked]>
Date: Fri, 23 Jul 1993 13:19:00 PDT

Does anyone have a list software that is compatible with
Chinese WorldScript 7.1?  In particular, I am looking for a
"works" integrated package (such as Claris Works or
WordPerfect Works) and a personal database manager;
shareware is also fine.  To start the list, three major
programs that are compatible:

SOFTWARE COMPATIBLE WITH CHINESE WORLDSCRIPT:
---------------------------------------------
FOURTH DIMENSION (4D) 3.0.x international version;
WORDPERFECT 2.1.3;
NISUS "Complete Flag"

PROBLEMS:
---------
WORDPERFECT: may not be compatible with Cihui;
NISUS 3.4: costs an extra $100 for the "Complete Flag"
version (i.e. the Chinese-enabled version)
and is protected by a hardware key.  Thus Nisus may not be
attractive for ordinary users (Nisus claims that most of the
bugs caused by the key are solved), even less so for PowerBook
users, and is unusable on PowerBook Duos (Nisus disagrees,
suggesting that you buy a floppy adapter and carry it around
so you can hook their hardware key into the ADB port!!).

IGNORING APPLE GUIDELINES:
--------------------------
Of more concern is developers, even including Claris, who
view implementation of Apple programming guidelines as
optional. For example, when I asked Claris whether they were
compatible, they said that they were not.  Their attitude
was not "we will fix this as soon as possible"; rather they
said they were *considering* whether or not to implement
WorldScript compatibility.  I find this shocking, given
Claris' relationship with Apple and Apple's claims about
WorldScript.  As it stands now, about half of the developers
that I have asked view implementation of WorldScript
compatibility as an "option" for consideration only.

Roger Hart
UCLA History